##### thread_pool::thread_pool (2 of 6 overloads)

Constructs a pool with an automatically determined number of threads.

    template<
        typename Allocator>
    thread_pool(
        allocator_arg_t ,
        const Allocator & a);

###### Parameters

a

  An allocator that will be used for allocating objects that are associated with the execution context, such as services and internal state for I/O objects.